# $Revision: 1.34 $, $Date: 2011/07/15 11:39:31 $
#
# Conditional build:
%bcond_without	opengl	# without lablgtkgl
%bcond_without	glade	# without lablgtkglade
%bcond_with	gnome	# with lablgtkgnome (incompatible with GNOME 3)
#
%define		ocaml_ver	1:3.09.2
Summary:	GTK+ binding for OCaml
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla
Name:		ocaml-lablgtk2
Version:	2.14.2
Release:	3
License:	LGPL with linking exceptions
Group:		Libraries
#Source0Download: http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html
Source0:	http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/dist/lablgtk-%{version}.tar.gz
# Source0-md5:	bad77680a72dab8b915cae99d1ec9b1f
URL:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html
BuildRequires:	gtk+2-devel >= 2:2.10.0
%{?with_opengl:BuildRequires:	gtkglarea-devel >= 1.99}
BuildRequires:	gtkspell-devel >= 2.0
BuildRequires:	gtksourceview-devel
BuildRequires:	gtksourceview2-devel
%{?with_glade:BuildRequires:	libglade2-devel >= 2.0}
%if %{with gnome}
BuildRequires:	gnome-panel-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	libgnomeui-devel
%endif
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	ocaml-camlp4 >= %{ocaml_ver}
%{?with_opengl:BuildRequires:	ocaml-lablgl-devel >= 1.04}
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK+ binding for OCaml. This package contains files needed to run
bytecode OCaml programs using LablGtk.

%description -l pl.UTF-8
Wiązania GTK+ dla OCamla. Pakiet ten zawiera binaria potrzebne do
uruchamiania programów używających LablGtk.

%package devel
Summary:	GTK+ binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
GTK+ binding for OCaml. This package contains files needed to develop
OCaml programs using LablGtk.

%description devel -l pl.UTF-8
Wiązania GTK+ dla OCamla. Pakiet ten zawiera pliki niezbędne do
tworzenia programów używających LablGtk.

%package gl
Summary:	GTK+ binding for OCaml - GtkGL support
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla GtkGL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml-lablgl
%requires_eq	ocaml-runtime

%description gl
GTK+ binding for OCaml, GtkGL support. This package contains files
needed to run bytecode OCaml programs using LablGtk-GtkGL.

%description gl -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla GtkGL. Pakiet ten zawiera
binaria potrzebne do uruchamiania programów używających LablGtk-GtkGL.

%package gl-devel
Summary:	GTK+ binding for OCaml - GtkGL support, development part
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla GtkGL, część programistyczna
Group:		Development/Libraries
Requires:	%{name}-gl = %{version}-%{release}
%requires_eq	ocaml
%requires_eq	ocaml-lablgl-devel

%description gl-devel
GTK+ binding for OCaml, GtkGL support. This package contains files
needed to develop OCaml programs using LablGtk-GtkGL.

%description gl-devel -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla GtkGL. Pakiet ten zawiera pliki
niezbędne do tworzenia programów używających LablGtk-GtkGL.

%package glade
Summary:	GTK+ binding for OCaml - Glade support
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla Glade
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml-runtime

%description glade
GTK+ binding for OCaml, Glade support. This package contains files
needed to run bytecode OCaml programs using LablGtk-Glade.

%description glade -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla Glade. Pakiet ten zawiera
binaria potrzebne do uruchamiania programów używających LablGtk-Glade.

%package glade-devel
Summary:	GTK+ binding for OCaml - Glade support, development part
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla Glade, część programistyczna
Group:		Development/Libraries
Requires:	%{name}-glade = %{version}-%{release}
%requires_eq	ocaml

%description glade-devel
GTK+ binding for OCaml, Glade support. This package contains files
needed to develop OCaml programs using LablGtk-Glade.

%description glade-devel -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla Glade. Pakiet ten zawiera pliki
niezbędne do tworzenia programów używających LablGtk-Glade.

%package gnome
Summary:	GTK+ binding for OCaml - GNOME support
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla GNOME
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml-runtime

%description gnome
GTK+ binding for OCaml, GNOME support. This package contains files
needed to run bytecode OCaml programs using LablGtk-GNOME.

%description gnome -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla GNOME. Pakiet ten zawiera
binaria potrzebne do uruchamiania programów używających LablGtk-GNOME.

%package gnome-devel
Summary:	GTK+ binding for OCaml - GNOME support, development part
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla GNOME, część programistyczna
Group:		Development/Libraries
Requires:	%{name}-gnome = %{version}-%{release}
%requires_eq	ocaml

%description gnome-devel
GTK+ binding for OCaml, GNOME support. This package contains files
needed to develop OCaml programs using LablGtk-GNOME.

%description gnome-devel -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla GNOME. Pakiet ten zawiera pliki
niezbędne do tworzenia programów używających LablGtk-GNOME.

%package gtkspell
Summary:	GTK+ binding for OCaml - GtkSpell support
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - obsługa GtkSpella
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml-runtime

%description gtkspell
GTK+ binding for OCaml, GtkSpell support.

%description gtkspell -l pl.UTF-8
Wiązania GTK+ dla OCamla, obsługa GtkSpella

%package gtkspell-devel
Summary:	GTK+ binding for OCaml - GtkSpell support, development part
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - obsługa GtkSpella, część programistyczna
Group:		Development/Libraries
Requires:	%{name}-gtkspell = %{version}-%{release}
%requires_eq	ocaml

%description gtkspell-devel
GTK+ binding for OCaml, GtkSpell support. This package contains files
needed to develop OCaml programs using LablGtk-GtkSpell.

%description gtkspell-devel -l pl.UTF-8
Wiązania GTK+ dla OCamla, obsługa GtkSpella. Ten pakiet zawiera pliki
niezbędne do tworzenia programów używających LablGtk-GtkSpell.

%package gtksourceview
Summary:	GTK+ binding for OCaml - GtkSourceView support
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla GtkSourceView
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description gtksourceview
GTK+ binding for OCaml, GtkSourceView support. This package contains
files needed to run bytecode OCaml programs using
LablGtk-GtkSourceView.

%description gtksourceview -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla GtkSourceView. Pakiet ten
zawiera binaria potrzebne do uruchamiania programów używających
LablGtk-GtkSourceView.

%package gtksourceview-devel
Summary:	GTK+ binding for OCaml - GtkSourceView support, development part
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla GtkSourceView, część programistyczna
Group:		Development/Libraries
Requires:	%{name}-gtksourceview = %{version}-%{release}
%requires_eq	ocaml

%description gtksourceview-devel
GTK+ binding for OCaml, GtkSourceView support. This package contains
files needed to develop OCaml programs using LablGtk-GtkSourceView.

%description gtksourceview-devel -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla GtkSourceView. Pakiet ten
zawiera pliki niezbędne do tworzenia programów używających
LablGtk-GtkSourceView.

%package gtksourceview2
Summary:	GTK+ binding for OCaml - GtkSourceView2 support
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla GtkSourceView2
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description gtksourceview2
GTK+ binding for OCaml, GtkSourceView2 support. This package contains
files needed to run bytecode OCaml programs using
LablGtk-GtkSourceView2.

%description gtksourceview2 -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla GtkSourceView2. Pakiet ten
zawiera binaria potrzebne do uruchamiania programów używających
LablGtk-GtkSourceView2.

%package gtksourceview2-devel
Summary:	GTK+ binding for OCaml - GtkSourceView2 support, development part
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla GtkSourceView2, część programistyczna
Group:		Development/Libraries
Requires:	%{name}-gtksourceview2 = %{version}-%{release}
%requires_eq	ocaml

%description gtksourceview2-devel
GTK+ binding for OCaml, GtkSourceView2 support. This package contains
files needed to develop OCaml programs using LablGtk-GtkSourceView2.

%description gtksourceview2-devel -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla GtkSourceView2. Pakiet ten
zawiera pliki niezbędne do tworzenia programów używających
LablGtk-GtkSourceView2.

%package rsvg
Summary:	GTK+ binding for OCaml - RSVG support
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla RSVG
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml-runtime

%description rsvg
GTK+ binding for OCaml, RSVG support. This package contains files
needed to run bytecode OCaml programs using LablGtk-RSVG.

%description rsvg -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla RSVG. Pakiet ten zawiera
binaria potrzebne do uruchamiania programów używających LablGtk-RSVG.

%package rsvg-devel
Summary:	GTK+ binding for OCaml - RSVG support, development part
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - wsparcie dla RSVG, część programistyczna
Group:		Development/Libraries
Requires:	%{name}-rsvg = %{version}-%{release}
%requires_eq	ocaml

%description rsvg-devel
GTK+ binding for OCaml, RSVG support. This package contains files
needed to develop OCaml programs using LablGtk-RSVG.

%description rsvg-devel -l pl.UTF-8
Wiązania GTK+ dla OCamla, wsparcie dla RSVG. Pakiet ten zawiera pliki
niezbędne do tworzenia programów używających LablGtk-RSVG.

%package toplevel
Summary:	GTK+ binding for OCaml - interactive system
Summary(pl.UTF-8):	Wiązania GTK+ dla OCamla - system interaktywny
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
%requires_eq	ocaml

%description toplevel
GTK+ binding for OCaml. GNOME and Glade support is included. This
package contains OCaml toplevel interactive system linked with
lablgtk.

%description toplevel -l pl.UTF-8
Wiązania GTK+ dla OCamla. Wsparcie dla GNOME i Glade jest dołączone.
Pakiet ten zawiera system interaktywny OCamla skonsolidowany z
lablgtk.

%prep
%setup -q -n lablgtk-%{version}

%build
%configure \
	CC="%{__cc} %{rpmcflags} -fPIC" \
	%{!?with_gnome:--without-gnomecanvas} \
	%{!?with_glade:--without-glade} \
	%{!?with_opengl:--without-gl}

%{__make} -j1 \
	all opt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/ocaml/{stublibs,site-lib/labl{gtk2,gnomecanvas,glade,gtkgl,gtkspell,rsvg}},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/lablgtk2 \
	DLLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	BINDIR=$RPM_BUILD_ROOT%{_bindir}

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# .mli files stay, they are the only documentation, but .ml go
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/lablgtk2/*.ml
gzip -9nf $RPM_BUILD_ROOT%{_libdir}/ocaml/lablgtk2/*.mli
mv $RPM_BUILD_ROOT%{_libdir}/ocaml/lablgtk2/*.gz .

# make METAs for findlib
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/lablgtk2/META <<EOF
# Specifications for the "lablgtk2" library:
requires = ""
version = "%{version}"
directory = "+lablgtk2"
archive(byte) = "lablgtk.cma gtkInit.cmo"
archive(native) = "lablgtk.cmxa gtkInit.cmx"
linkopts = ""
EOF

for f in glade %{?with_gnome:gnomecanvas} gtkgl gtkspell rsvg ; do
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/labl$f/META <<EOF
# Specifications for the "lablgtk" library:
requires = "lablgtk2"
version = "%{version}"
directory = "+lablgtk2"
archive(byte) = "labl$f.cma"
archive(native) = "labl$f.cmxa"
linkopts = ""
EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%dir %{_libdir}/ocaml/lablgtk2
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgtk2.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gdk_pixbuf_mlsource
%{_libdir}/ocaml/lablgtk2/g[BCDELMOPRTUWadp]*.cm*
%{_libdir}/ocaml/lablgtk2/gAction.cm*
%{_libdir}/ocaml/lablgtk2/gAssistant.cm*
%{_libdir}/ocaml/lablgtk2/gFile.cm*
%{_libdir}/ocaml/lablgtk2/glib.cm*
%{_libdir}/ocaml/lablgtk2/gobject.cm*
%{_libdir}/ocaml/lablgtk2/gtk.cm*
%{_libdir}/ocaml/lablgtk2/gtkFile.cm*
%{_libdir}/ocaml/lablgtk2/gtkObject.cm*
%{_libdir}/ocaml/lablgtk2/gutf8.cm*
%{_libdir}/ocaml/lablgtk2/pango*.cm*
%{_libdir}/ocaml/lablgtk2/gtk[ABDEILMNPRSTW]*.cm*
%{_libdir}/ocaml/lablgtk2/*.[ho]
%{_libdir}/ocaml/lablgtk2/lablgtk.*
%{_libdir}/ocaml/lablgtk2/liblablgtk2.*
%attr(755,root,root) %{_libdir}/ocaml/lablgtk2/varcc
%attr(755,root,root) %{_libdir}/ocaml/lablgtk2/propcc
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/lablgtk2

%if %{with opengl}
%files gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgtkgl2.so

%files gl-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablgtk2/glGtk.cm*
%{_libdir}/ocaml/lablgtk2/lablgtkgl.*
%{_libdir}/ocaml/lablgtk2/liblablgtkgl2.*
%{_libdir}/ocaml/site-lib/lablgtkgl
%endif

%if %{with glade}
%files glade
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablglade2.so

%files glade-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lablgladecc2
%{_libdir}/ocaml/lablgtk2/glade.cm*
%{_libdir}/ocaml/lablgtk2/lablglade.*
%{_libdir}/ocaml/lablgtk2/liblablglade2.*
%{_libdir}/ocaml/site-lib/lablglade
%endif

%if %{with gnome}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgnomecanvas.so
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgnomeui.so
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablpanel.so

%files gnome-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablgtk2/*Canvas*.cm*
%{_libdir}/ocaml/lablgtk2/*Druid.cm*
%{_libdir}/ocaml/lablgtk2/lablgnomecanvas.*
%{_libdir}/ocaml/lablgtk2/liblablgnomecanvas.*
%{_libdir}/ocaml/lablgtk2/lablgnomeui.cm*
%{_libdir}/ocaml/lablgtk2/lablpanel.cm*
%{_libdir}/ocaml/lablgtk2/*lablgnomeui.a
%{_libdir}/ocaml/lablgtk2/lablpanel.a
%{_libdir}/ocaml/lablgtk2/liblablpanel.a
%{_libdir}/ocaml/lablgtk2/panel.cm*
%{_libdir}/ocaml/site-lib/lablgnomecanvas
%endif

%files gtkspell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgtkspell.so

%files gtkspell-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablgtk2/lablgtkspell.*
%{_libdir}/ocaml/lablgtk2/liblablgtkspell.a
%{_libdir}/ocaml/site-lib/lablgtkspell

%files gtksourceview
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgtksourceview.so

%files gtksourceview-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablgtk2/gSourceView.cm*
%{_libdir}/ocaml/lablgtk2/sourceViewEnums.cm*
%{_libdir}/ocaml/lablgtk2/lablgtksourceview.a
%{_libdir}/ocaml/lablgtk2/lablgtksourceview.cm*
%{_libdir}/ocaml/lablgtk2/liblablgtksourceview.a

%files gtksourceview2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgtksourceview2.so

%files gtksourceview2-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablgtk2/gSourceView2.cm*
%{_libdir}/ocaml/lablgtk2/sourceView2Enums.cm*
%{_libdir}/ocaml/lablgtk2/lablgtksourceview2.a
%{_libdir}/ocaml/lablgtk2/lablgtksourceview2.cm*
%{_libdir}/ocaml/lablgtk2/liblablgtksourceview2.a

%files rsvg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablrsvg.so

%files rsvg-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablgtk2/rsvg.cm*
%{_libdir}/ocaml/lablgtk2/lablrsvg.*
%{_libdir}/ocaml/lablgtk2/liblablrsvg.*
%{_libdir}/ocaml/site-lib/lablrsvg

%files toplevel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lablgtk2

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-lablgtk2.spec,v $
Revision 1.34  2011/07/15 11:39:31  baggins
- rel 3

Revision 1.33  2011/04/07 10:06:47  baggins
- added gtksourceview2 package

Revision 1.32  2011/04/07 09:46:04  baggins
- rel 2
- can't grok gnome3 stuff

Revision 1.31  2011/03/13 16:33:25  qboosh
- updated to 2.14.2
- removed obsolete gnome patch

Revision 1.30  2009/04/18 15:51:28  areq
- add gnome.patch include: libgnomeui-2.0/libgnomeui/gnome-ui-init.h

Revision 1.29  2009/04/18 11:03:27  areq
- BR ocaml-lablgl-devel >= 1.04

Revision 1.28  2009/04/18 10:33:43  areq
- 2.12.0

Revision 1.27  2008/07/11 07:57:46  megabajt
- release 2

Revision 1.26  2008/07/10 22:53:23  qboosh
- only -gl-devel (not -devel) should require ocaml-lablgl-devel, I think

Revision 1.25  2008/07/10 19:37:32  qboosh
- formatting

Revision 1.24  2008/07/10 19:25:58  megabajt
- updated to 2.10.1
- added -gtksourceview and -gtksourceview-devel subpackages
- updated URL

Revision 1.23  2008/02/06 20:19:49  qboosh
- unified bcond name: gl -> opengl

Revision 1.22  2008-01-31 22:21:56  glen
- rel 6

Revision 1.21  2007-07-15 19:21:31  arekm
- rel 5; rebuild

Revision 1.20  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.18  2006/12/09 09:30:48  qboosh
- forgotten: added gdk-pixbuf-mlsource to -devel

Revision 1.17  2006/12/09 09:27:27  qboosh
- added gtkspell packages

Revision 1.16  2006/12/09 09:06:34  qboosh
- reordered subpackages

Revision 1.15  2006/05/31 12:54:38  glen
- rel 4 (rebuild with ocaml-3.09.2)

Revision 1.14  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.13  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.12  2005/12/10 00:38:36  baggins
- release 2
- fixed gl build

Revision 1.11  2005/12/10 00:31:31  baggins
- more BRs

Revision 1.10  2005/12/09 18:27:48  baggins
- updated files

Revision 1.9  2005/12/09 17:17:33  baggins
- up to 2.6.0

Revision 1.8  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.7  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.6  2004/05/02 20:09:46  leafnode
- updated to 2.2.0

Revision 1.5  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.4  2003/09/03 22:45:37  malekith
- up to 20030828; ocaml 3.07

Revision 1.3  2003/08/11 16:26:32  malekith
- up to 20030707

Revision 1.2  2003/08/11 16:07:11  malekith
- new style bconds

Revision 1.1  2003/08/11 16:02:00  malekith
- copied from ocaml-lablgtk.spec, version for gtk2

Revision 1.17  2003/06/29 15:37:22  blues
- some cosmetic

Revision 1.16  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/03 21:29:49  malekith
- update gtk+2 version: pre1.3.1 (20030425)
- new rsvg(-devel) subpackages

Revision 1.13  2003/03/28 20:08:13  qboosh
- merged some ideas from lablgtk.spec (including update to 1.2.5)
- removed obsolete gnome patch
- Obsoletes: lablgtk-*

Revision 1.12  2003/02/28 10:08:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.11  2002/12/26 11:32:55  matkor
- BR: libglade-gnome-devel added.

Revision 1.10  2002/07/31 14:31:45  malekith
- fixed License:

Revision 1.9  2002/07/31 13:34:59  malekith
- rel 3; COPYING is back

Revision 1.8  2002/07/31 08:19:53  kloczek
- use new %doc.

Revision 1.7  2002/05/21 13:07:28  malekith
- br: gtkglarea-devel

Revision 1.6  2002/05/16 06:29:00  filon
- added gnome patch for passing gnome cflags to compiler
- now builds for me
- release 2

Revision 1.5  2002/05/13 11:00:06  malekith
- fixed previous commit message

Revision 1.4  2002/05/13 10:54:07  malekith
- split into -{glade,gl,gnome}{,-devel} subpackages
- added br: ocaml-lablgl-devel (for -gl subpackage)

Revision 1.3  2002/05/10 11:19:36  malekith
- main package group changed to Libraries
- added toplevel subpackge with ocaml toplevel systems
- added -fpic to cflags (might be needed in .so)
- added META file for findlib

Revision 1.2  2002/05/09 15:35:40  malekith
- removed unneeded r: (we use %%req_eq anyway)
- removed *.mli from filelist (they are in docdir)

Revision 1.1  2002/05/09 15:21:35  malekith
- initial, from scratch
